const { connect } = require('preact-redux');

// const actions = require('../actions');

const Info = require('./info.component');

const addState = connect(
    function receiveState(state) {
        const { info, ws, instance } = state;
        function sendUnequip(crypId, item) {
            return ws.sendVboxUnequip(instance.instance, crypId, item);
        }

        return { info, sendUnequip };
    }
/*
    function receiveDispatch(dispatch) {

        return { };
    }
*/
);

module.exports = addState(Info);
